all: build
	./myrepos

stderr: build
	echo "writing to /tmp/myrepos.stderr"
	myrepos >/tmp/myrepos.stderr 2>&1

build:
	echo "build it!"
	-rm resources/*.so
	go build -v -x

install:
	cp ~/go/src/go.wit.com/gui/toolkits/*.so resources/
	rm -f ~/go/src/go.wit.com/gui/toolkits/*.so
	go install -v -x
	myrepos

check-git-clean:
	@git diff-index --quiet HEAD -- || (echo "Git repository is dirty, please commit your changes first"; exit 1)

redomod:
	rm -f go.*
	GO111MODULE= go mod init
	GO111MODULE= go mod tidy

